#ifndef TERMINAL_HH
#define TERMINAL_HH

#include "mainwindow.h"
#include "tab.h"

class Terminal: public Tab
{
public:
	Terminal( std::string path,	bool needsTerminal,	std::string command/*only if needs terminal*/ );
	~Terminal();

	inline	GtkWidget	*getWidget()	const	{return window;};
	
	void		tabChanged()	const;
protected:
	GtkWidget	*terminal,	*window;
};
#else
class Terminal;
#endif

